org.apache.tinkerpop.gremlin.driver.exception

## Class ConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.driver.exception.ConnectionException

- All Implemented Interfaces:
    Serializable

      public class ConnectionException
      extends Exception

  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionException(URI uri, InetSocketAddress addy, String message)`
    `ConnectionException(URI uri, InetSocketAddress addy, String message, Throwable cause)`
    `ConnectionException(URI uri, String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<InetSocketAddress>` | `getAddress()`
    `URI` | `getUri()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionException

          public ConnectionException(URI uri,
                                     InetSocketAddress addy,
                                     String message)

    - #### ConnectionException

          public ConnectionException(URI uri,
                                     String message,
                                     Throwable cause)

    - #### ConnectionException

          public ConnectionException(URI uri,
                                     InetSocketAddress addy,
                                     String message,
                                     Throwable cause)

  - ### Method Detail

    - #### getUri

          public URI getUri()

    - #### getAddress

          public Optional<InetSocketAddress> getAddress()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.